io.vertx.ext.auth.htdigest

## Class HtdigestCredentials

- java.lang.Object
- - io.vertx.ext.auth.htdigest.HtdigestCredentials

- All Implemented Interfaces:
    Credentials

      public class HtdigestCredentials
      extends Object
      implements Credentials

  Credentials specific to the `HtdigestAuth` authentication provider
  Author:
    Stephane Bastian

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtdigestCredentials()`
    `HtdigestCredentials(JsonObject jsonObject)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<V> void` | `checkValid(V arg)` Implementors should override this method to perform validation.
    `String` | `getAlgorithm()`
    `String` | `getCnonce()`
    `String` | `getMethod()`
    `String` | `getNc()`
    `String` | `getNonce()`
    `String` | `getOpaque()`
    `String` | `getQop()`
    `String` | `getRealm()`
    `String` | `getResponse()`
    `String` | `getUri()`
    `String` | `getUsername()`
    `HtdigestCredentials` | `setAlgorithm(String algorithm)`
    `HtdigestCredentials` | `setCnonce(String cnonce)`
    `HtdigestCredentials` | `setMethod(String method)`
    `HtdigestCredentials` | `setNc(String nc)`
    `HtdigestCredentials` | `setNonce(String nonce)`
    `HtdigestCredentials` | `setOpaque(String opaque)`
    `HtdigestCredentials` | `setQop(String qop)`
    `HtdigestCredentials` | `setRealm(String realm)`
    `HtdigestCredentials` | `setResponse(String response)`
    `HtdigestCredentials` | `setUri(String uri)`
    `HtdigestCredentials` | `setUsername(String username)`
    `JsonObject` | `toJson()` Simple interop to downcast back to JSON for backwards compatibility.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HtdigestCredentials

          public HtdigestCredentials()

    - #### HtdigestCredentials

          public HtdigestCredentials(JsonObject jsonObject)

  - ### Method Detail

    - #### getAlgorithm

          public String getAlgorithm()

    - #### getCnonce

          public String getCnonce()

    - #### getMethod

          public String getMethod()

    - #### getNc

          public String getNc()

    - #### getNonce

          public String getNonce()

    - #### getOpaque

          public String getOpaque()

    - #### getQop

          public String getQop()

    - #### getRealm

          public String getRealm()

    - #### getResponse

          public String getResponse()

    - #### getUri

          public String getUri()

    - #### getUsername

          public String getUsername()

    - #### setAlgorithm

          public HtdigestCredentials setAlgorithm(String algorithm)

    - #### setCnonce

          public HtdigestCredentials setCnonce(String cnonce)

    - #### setMethod

          public HtdigestCredentials setMethod(String method)

    - #### setNc

          public HtdigestCredentials setNc(String nc)

    - #### setNonce

          public HtdigestCredentials setNonce(String nonce)

    - #### setOpaque

          public HtdigestCredentials setOpaque(String opaque)

    - #### setQop

          public HtdigestCredentials setQop(String qop)

    - #### setRealm

          public HtdigestCredentials setRealm(String realm)

    - #### setResponse

          public HtdigestCredentials setResponse(String response)

    - #### setUri

          public HtdigestCredentials setUri(String uri)

    - #### setUsername

          public HtdigestCredentials setUsername(String username)

    - #### checkValid

          public <V> void checkValid(V arg)
                              throws CredentialValidationException

      Description copied from interface: `Credentials`
      Implementors should override this method to perform validation. An argument is allowed to allow custom validation, for example, when given a configuration property, a specific property may be allowed to be null.
      Specified by:
        `checkValid` in interface `Credentials`
      Type Parameters:
        `V` - the generic type of the argument
      Parameters:
        `arg` - optional argument or null.
      Throws:
        `CredentialValidationException` - when the validation fails

    - #### toJson

          public JsonObject toJson()

      Description copied from interface: `Credentials`
      Simple interop to downcast back to JSON for backwards compatibility.
      Specified by:
        `toJson` in interface `Credentials`
      Returns:
        JSON representation of this credential.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2020 Eclipse. All rights reserved.